%define name emifreq-applet
%define version 0.17
%define release 1mdk

Summary : EmiFreq applet is just a little applet to show and control the CPU
Name: %name
Version: %{version}
Release: %{release}
Source:  %{name}-%{version}.tar.bz2
License: GPL
Group: Monitoring
Url: http://zzrough.free.fr

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires: perl-XML-Parser
BuildRequires: pkgconfig
BuildRequires: intltool
BuildRequires: gnome-panel-devel
BuildRequires: libgnomeui2-devel
BuildRequires: libGConf2-devel

#Requires: libpanel-applet
#Requires: libGConf2
Requires: gnome-panel, cpufreq, cpufreqd

%description
EmiFreq applet is a little GNOME applet that shows/control
the CPU frequency and temperature thanks to the cpufreq sysfs 
kernel interface. The emifreqd daemon is also included to enable 
the applet to change the cpu speed through the CPUFreq extension 
of the sysfs.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf %buildroot
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std
%find_lang %name --with-gnome

%clean
rm -rf %buildroot

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README TODO
%config(noreplace) %{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_sbindir}/emifreqd
%{_libdir}/emifreq-applet
%{_libdir}/bonobo/servers/*
%{_datadir}/pixmaps/*
%dir %{_datadir}/emifreq-applet/
%{_datadir}/emifreq-applet/*
%{_datadir}/gnome-2.0/ui/GNOME_EmiFreqApplet.xml

%changelog
* Tue Sep 21 2004 Jerome Soyer <saispo@mandrake.org> 0.17-1mdk
- New version

* Wed Sep 15 2004 Jerome Soyer <saispo@mandrake.org> 0.16-1mdk
- New version
- Added Requires

* Tue Sep 14 2004 Jerome Soyer <saispo@mandrake.org> 0.15-2mdk
- fix spec error

* Tue Sep 14 2004 Jerome Soyer <saispo@mandrake.org> 0.15-1mdk
- first build
